<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="AKUZ" 
Name="VISION_ACUITY" 
Description="Острота зрения" 
PrimaryKey="VisionAcuityID">
  <Fields>
    <Attribute Name="VisionAcuityID" Type="guid" Description="Идентификатор" />
    <Parent Name="VisionDiagnostics" Type="AKUZ.VISION_DIAGNOSTICS" Description="Диагностика зрения" Required="1" />
    <Attribute Name="GlassesSphere_R" Type="float" DefaultFormat="{0:0.#####}" Description="Сфера(Sph)(OD)(в очках)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="GlassesSphere_L" Type="float" DefaultFormat="{0:0.#####}" Description="Сфера(Sph)(OS)(в очках)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="GlassesCylinder_R" Type="float" DefaultFormat="{0:0.#####}" Description="Цилиндр(Cyl)(OD)(в очках)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="GlassesCylinder_L" Type="float" DefaultFormat="{0:0.#####}" Description="Цилиндр(Cyl)(OS)(в очках)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="GlassesAxis_R" Type="int" Description="Ось(Ax)(OD)(в очках)" />
    <Attribute Name="GlassesAxis_L" Type="int" Description="Ось(Ax)(OS)(в очках)" />
    <Attribute Name="GlassesVisualAcuityCorr_R" Type="float" DefaultFormat="{0:0.#####}" Description="Острота зрения с коррекцией(OD)(в очках)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="GlassesVisualAcuityCorr_L" Type="float" DefaultFormat="{0:0.#####}" Description="Острота зрения с коррекцией(OS)(в очках)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="RefractometrySphere_R" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия Сфера(Sph)(OD)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="RefractometrySphere_L" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия Сфера(Sph)(OS)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="RefractometryCylinder_R" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия Цилиндр(Cyl)(OD)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="RefractometryCylinder_L" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия Цилиндр(Cyl)(OS)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="RefractometryAxis_R" Type="int" Description="Рефрактометрия Ось(Ax)(OD)" />
    <Attribute Name="RefractometryAxis_L" Type="int" Description="Рефрактометрия Ось(Ax)(OS)" />
    <Attribute Name="CycloplegiaRefractometrySphere_R" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия на фоне циклоплегии Сфера(Sph)(OD)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="CycloplegiaRefractometrySphere_L" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия на фоне циклоплегии Сфера(Sph)(OS)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="CycloplegiaRefractometryCylinder_R" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия на фоне циклоплегии Цилиндр(Cyl)(OD)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="CycloplegiaRefractometryCylinder_L" Type="float" DefaultFormat="{0:0.#####}" Description="Рефрактометрия на фоне циклоплегии Цилиндр(Cyl)(OS)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="CycloplegiaRefractometryAxis_R" Type="int" Description="Рефрактометрия на фоне циклоплегии Ось(Ax)(OD)" />
    <Attribute Name="CycloplegiaRefractometryAxis_L" Type="int" Description="Рефрактометрия на фоне циклоплегии Ось(Ax)(OS)" />
    <Attribute Name="AnteriorPosteriorSegment_R" Type="float" DefaultFormat="{0:0.#####}" Description="Передне-задний отрезок(OD)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="AnteriorPosteriorSegment_L" Type="float" DefaultFormat="{0:0.#####}" Description="Передне-задний отрезок(OS)" NumericPrecision="7" NumericScale="3" />
    <Attribute Name="LightFlashesCriticalFrequency_R" Type="int" Description="Критическая частота световых мельканий(OD)" />
    <Attribute Name="LightFlashesCriticalFrequency_L" Type="int" Description="Критическая частота световых мельканий(OS)" />
  </Fields>
  <DbMapping>
    <Table name="T_VISION_ACUITY">
      <Map Name="VisionAcuityID" Column="VisionAcuityID" />
      <Map Name="VisionDiagnostics" Column="VisionDiagnostics" />
      <Map Name="GlassesSphere_R" Column="GlassesSphere_R" />
      <Map Name="GlassesSphere_L" Column="GlassesSphere_L" />
      <Map Name="GlassesCylinder_R" Column="GlassesCylinder_R" />
      <Map Name="GlassesCylinder_L" Column="GlassesCylinder_L" />
      <Map Name="GlassesAxis_R" Column="GlassesAxis_R" />
      <Map Name="GlassesAxis_L" Column="GlassesAxis_L" />
      <Map Name="GlassesVisualAcuityCorr_R" Column="GlassesVisualAcuityCorr_R" />
      <Map Name="GlassesVisualAcuityCorr_L" Column="GlassesVisualAcuityCorr_L" />
      <Map Name="RefractometrySphere_R" Column="RefractometrySphere_R" />
      <Map Name="RefractometrySphere_L" Column="RefractometrySphere_L" />
      <Map Name="RefractometryCylinder_R" Column="RefractometryCylinder_R" />
      <Map Name="RefractometryCylinder_L" Column="RefractometryCylinder_L" />
      <Map Name="RefractometryAxis_R" Column="RefractometryAxis_R" />
      <Map Name="RefractometryAxis_L" Column="RefractometryAxis_L" />
      <Map Name="CycloplegiaRefractometrySphere_R" Column="CycloplegiaRefractometrySphere_R" />
      <Map Name="CycloplegiaRefractometrySphere_L" Column="CycloplegiaRefractometrySphere_L" />
      <Map Name="CycloplegiaRefractometryCylinder_R" Column="CycloplegiaRefractometryCylinder_R" />
      <Map Name="CycloplegiaRefractometryCylinder_L" Column="CycloplegiaRefractometryCylinder_L" />
      <Map Name="CycloplegiaRefractometryAxis_R" Column="CycloplegiaRefractometryAxis_R" />
      <Map Name="CycloplegiaRefractometryAxis_L" Column="CycloplegiaRefractometryAxis_L" />
      <Map Name="AnteriorPosteriorSegment_R" Column="AnteriorPosteriorSegment_R" />
      <Map Name="AnteriorPosteriorSegment_L" Column="AnteriorPosteriorSegment_L" />
      <Map Name="LightFlashesCriticalFrequency_R" Column="LightFlashesCriticalFrequency_R" />
      <Map Name="LightFlashesCriticalFrequency_L" Column="LightFlashesCriticalFrequency_L" />
    </Table>
  </DbMapping>
</Entity>